/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "blokkalbevp.h"
#include "blokkalbevp.moc"

#include <kpluginfactory.h>

#include "blokkalbev.h"

K_PLUGIN_FACTORY( BlokkalBEVPFactory, registerPlugin<BlokkalBEVP>(); )
K_EXPORT_PLUGIN( BlokkalBEVPFactory("blokkal_bevp") )
;

BlokkalBEVP::BlokkalBEVP( QObject * parent, const QVariantList & /*args*/ ) :
BrowseEntryViewFactory( KGlobal::mainComponent(), parent )
{
}

BlokkalBEVP::~BlokkalBEVP( void )
{
}

Blokkal::Ui::BrowseEntryDialog * BlokkalBEVP::createView( Blokkal::Blog * blog )
{
	return new BlokkalBEV( blog );
}
